# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "annatto"
version = "0.50.1"
authors = [
    "Thomas Krause <thomas.krause@hu-berlin.de>",
    "Martin Klotz <martin.klotz@hu-berlin.de>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Converts linguistic data formats based on the graphANNIS data model as intermediate representation and can apply consistency tests."
homepage = "https://github.com/korpling/annatto/"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/korpling/annatto/"

[lib]
name = "annatto"
path = "src/lib.rs"

[[bin]]
name = "annatto"
path = "src/bin/annatto.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[dependencies.ansi_term]
version = "0.12"

[dependencies.anyhow]
version = "1.0"

[dependencies.bimap]
version = "0.6.3"

[dependencies.chrono]
version = "0.4.42"

[dependencies.clap]
version = "4.0"
features = [
    "derive",
    "env",
]

[dependencies.console]
version = "0.15"

[dependencies.csv]
version = "1.3"

[dependencies.encoding_rs]
version = "0.8"

[dependencies.encoding_rs_io]
version = "0.1.7"

[dependencies.facet]
version = "0.28.0"

[dependencies.facet-reflect]
version = "0.28.0"

[dependencies.git2]
version = "0.20.2"
default-features = false

[dependencies.glob]
version = "0.3"

[dependencies.graphannis]
version = "4.1.1"

[dependencies.graphannis-core]
version = "4.1.1"

[dependencies.graphviz-rust]
version = "0.9.7"

[dependencies.indicatif]
version = "0.17"

[dependencies.itertools]
version = "0.12"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.linked-hash-map]
version = "0.5.6"

[dependencies.linked_hash_set]
version = "0.1.4"

[dependencies.log]
version = "0.4"

[dependencies.lru]
version = "0.14.0"

[dependencies.nonzero]
version = "0.2.0"

[dependencies.normpath]
version = "1.1"

[dependencies.ordered-float]
version = "4.1"
default-features = false

[dependencies.pathdiff]
version = "0.2"

[dependencies.percent-encoding]
version = "2.3.1"

[dependencies.pest]
version = "2.7.14"

[dependencies.pest_derive]
version = "2.0"

[dependencies.quick-xml]
version = "0.34"

[dependencies.rayon]
version = "1.1"

[dependencies.regex]
version = "1.12"

[dependencies.roxmltree]
version = "0.20.0"

[dependencies.rust_xlsxwriter]
version = "0.90.2"

[dependencies.serde]
version = "1.0"

[dependencies.serde_derive]
version = "1.0"

[dependencies.serde_json]
version = "1.0.138"

[dependencies.sheets-diff]
version = "1.1.3"

[dependencies.similar]
version = "2.7.0"

[dependencies.tabled]
version = "0.15"
features = ["ansi"]

[dependencies.tempfile]
version = "3"

[dependencies.termimad]
version = "0.30"

[dependencies.text-splitter]
version = "0.6.3"

[dependencies.thiserror]
version = "1.0"

[dependencies.time]
version = "0.3.44"

[dependencies.tokenizations]
version = "0.4.2"

[dependencies.toml]
version = "0.8.0"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dependencies.umya-spreadsheet]
version = "2.3.3"

[dependencies.url]
version = "2.5.2"

[dependencies.xml-rs]
version = "0.8"

[dependencies.zip]
version = "0.6.6"

[dev-dependencies.assert_cmd]
version = "2.1"

[dev-dependencies.insta]
version = "1.26.0"
features = [
    "toml",
    "filters",
]

[dev-dependencies.pretty_assertions]
version = "1.3"

[dev-dependencies.sha2]
version = "0.10.9"

[profile.dev]
panic = "abort"

[profile.dev.package.graphannis]
opt-level = 3

[profile.dev.package.graphannis-core]
opt-level = 3

[profile.dev.package.insta]
opt-level = 3

[profile.dev.package.similar]
opt-level = 3

[profile.dist]
debug = 2
split-debuginfo = "packed"
inherits = "release"

[profile.release]
panic = "abort"
